Bug 222601 - Changing storage display sizes and/or paths can cause Zope publishing error
Changing storage display sizes and/or paths can cause Zope publishing error
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-14 22:28 EST by Len DiMaggio
Modified: 2009-04-16 18:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 09:02:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corresponding message from Zope log. (6.60 KB, text/plain)
2007-01-14 22:28 EST, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2007-01-14 22:28:34 EST
Description of problem:
Changing storage display sizes and/or paths can cause Zope publishing error 

I'm able to get this problem to occur most of the time - looks like a timing issue.

Version-Release number of selected component (if applicable):
luci-0.8-26.el5
ricci-0.8-26.el5

How reproducible:
75%+

Steps to Reproduce:
1. Access storage system list in luci web interface
2. Select storage size and/or path (device path or SCSI)
3. While page is loading in response to the selection made in step 2, select a
target storage system
4. The error listed below is raised.
  
Actual results:
See the error listed below.

Expected results:
No error.

Additional info:

This error is displayed for to the user via the web interface:
Site Error

An error was encountered while publishing this resource.

AttributeError
Sorry, a site error occurred.

Traceback (innermost last):

    * Module ZPublisher.Publish, line 194, in publish_module_standard
    * Module Products.PlacelessTranslationService.PatchStringIO, line 34, in
new_publish
    * Module ZPublisher.Publish, line 163, in publish
    * Module Products.PlacelessTranslationService.PatchStringIO, line 34, in
new_publish
    * Module ZPublisher.Publish, line 146, in publish
    * Module Zope2.App.startup, line 222, in zpublisher_exception_hook
    * Module ZPublisher.Publish, line 115, in publish
    * Module ZPublisher.mapply, line 88, in mapply
    * Module ZPublisher.Publish, line 41, in call_object
    * Module Shared.DC.Scripts.Bindings, line 311, in __call__
    * Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
    * Module Products.PageTemplates.ZopePageTemplate, line 255, in _exec
    * Module Products.PageTemplates.PageTemplate, line 104, in pt_render
      <ZopePageTemplate at /luci/storage/index_html>
    * Module TAL.TALInterpreter, line 238, in __call__
    * Module TAL.TALInterpreter, line 281, in interpret
    * Module TAL.TALInterpreter, line 728, in do_defineMacro
    * Module TAL.TALInterpreter, line 281, in interpret
    * Module TAL.TALInterpreter, line 457, in do_optTag_tal
    * Module TAL.TALInterpreter, line 442, in do_optTag
    * Module TAL.TALInterpreter, line 437, in no_tag
    * Module TAL.TALInterpreter, line 281, in interpret
    * Module TAL.TALInterpreter, line 749, in do_useMacro
    * Module TAL.TALInterpreter, line 281, in interpret
    * Module TAL.TALInterpreter, line 511, in do_setGlobal_tal
    * Module Products.PageTemplates.TALES, line 221, in evaluate
      URL: /luci/global_defines
      Line 3, Column 0
      Expression: standard:'context/@@plone'
      Names:

      {'container': <Folder at /luci/storage>,
       'context': <Folder at /luci/storage>,
       'default': <Products.PageTemplates.TALES.Default instance at 0xb754626c>,
       'here': <Folder at /luci/storage>,
       'loop': <Products.PageTemplates.TALES.SafeMapping object at 0xea1ac6c>,
       'modules': <Products.PageTemplates.ZRPythonExpr._SecureModuleImporter
instance at 0xb74e9dec>,
       'nothing': None,
       'options': {'args': ()},
       'repeat': <Products.PageTemplates.TALES.SafeMapping object at 0xea1ac6c>,
       'request': <HTTPRequest, URL=None>,
       'root': <Application at >,
       'template': <ZopePageTemplate at /luci/storage/index_html>,
       'traverse_subpath': [],
       'user': <PropertiedUser 'admin'>}

    * Module Products.PageTemplates.Expressions, line 185, in __call__
    * Module Products.PageTemplates.Expressions, line 173, in _eval
    * Module Products.PageTemplates.Expressions, line 127, in _eval
      __traceback_info__: context
    * Module Products.PageTemplates.Expressions, line 286, in restrictedTraverse
      __traceback_info__: {'path': ['@@plone'], 'TraversalRequestNameStack': []}
    * Module Products.Five.traversable, line 115, in __bobo_traverse__

AttributeError: @@plone (Also, the following error occurred while attempting to
render the standard error message, please see the event log for full details:
@@plone)

Troubleshooting Suggestions

    * The URL may be incorrect.
    * The parameters passed to this resource may be incorrect.
    * A resource that this resource relies on may be encountering an error.

For more detailed information about the error, please refer to the error log.

If the error persists please contact the site maintainer. Thank you for your
patience.
Comment 1 Len DiMaggio 2007-01-14 22:28:34 EST
Created attachment 145550 [details]
Corresponding message from Zope log.
Comment 2 Ryan McCabe 2007-01-15 09:02:39 EST
Unfortunately, this is purely a Zope/Plone issue. It seems to happen more often
if the machine Luci is running on is under heavy load, and it seems to happen
more often if any of the python files has been edited after the Luci install.
I'd be curious to know if that is the case for you.

BTW, there's a luci -27 now, but all the debugging is turned off by default.
Comment 3 Len DiMaggio 2007-01-15 13:04:41 EST
I was able to recreate the problem with unmodified luci files on an otherwise
idle machine. Can you think of any other places in the GUI where a user might
encounter this?
Comment 4 Ryan McCabe 2007-01-15 13:06:50 EST
I think it can happen any time a page template is rendered (i.e., anywhere).
We've been seeing this for a while, but we don't know why it's happening. It is
certainly a bug in either zope or plone.

Note You need to log in before you can comment on or make changes to this bug.